Exception::getTrace
Exception::__toString
Exception
PHP Manual

# Exception::getTraceAsString

(PHP 5 >= 5.1.0)

Exception::getTraceAsString — Gibt den Stacktrace als String zurück

### Beschreibung

final public string Exception::getTraceAsString ( void )

Gibt den Stacktrace als String zurück.

### Parameter-Liste

Diese Funktion hat keine Parameter.

### Rückgabewerte

Gibt den Stacktrace als String zurück.

### Beispiele

Beispiel #1 Exception::getTraceAsString()-Beispiel

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
echo $e->getTraceAsString();
}
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    #0 /home/bjori/tmp/ex.php(7): test()
    #1 {main}

Exception::getTrace
Exception::__toString
Exception
PHP Manual